Name:           free42
URL:            http://www.thomasokken.com/free42/
Version:        1.4.77
Release:        1%{?dist}
Group:          Applications/System
License:        GPLv2 and MIT
Summary:        42S Calculator Simulator
Source:         http://www.thomasokken.com/free42/upstream/free42-nologo-%{version}.tgz

BuildRequires:  libX11-devel
BuildRequires:  libXmu-devel
BuildRequires:  gtk2-devel
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils

%description
Free42 is a complete re-implementation of the 42S calculator and the
82240 printer.  It was written from scratch, without using any HP code.

%prep
%setup -q -n free42-nologo-%{version}

%build
cd gtk
sed -i 's/^\(LIBS := .*\)/\1 -lX11/' Makefile
sed -i "/^CXXFLAGS :=/s/-MMD -Wall -g/%{optflags}/" Makefile
# make fails when using %{?_smp_mflags}
make -e BCD_MATH=1
convert icon.xpm free42.png
cat <<EOF >free42.desktop
[Desktop Entry]
Name=free42
GenericName=Free42 calculator simulator
Exec=free42dec
Icon=free42
Terminal=false
Type=Application
Categories=Utility;Calculator;
EOF

%install
install -D -p -m 755 gtk/free42dec %{buildroot}%{_bindir}/free42dec
install -D -p -m 644 gtk/free42.png %{buildroot}/usr/share/pixmaps/%{name}.png
install -D -p -m 644 gtk/free42.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/free42dec
%doc COPYING CREDITS HISTORY README TODO VERSION
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jun 06 2013 Eric Smith <eric@brouhaha.com> 1.4.77-1
- Update to latest upstream.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.74-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.74-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jul 08 2012 Eric Smith <eric@brouhaha.com> 1.4.74-1
- Update to latest upstream.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.70-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Oct 08 2011 Eric Smith <eric@brouhaha.com> 1.4.70-1
- Update to latest upstream.
- Removed BuildRoot, clean, defattr, etc.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.66-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Apr 21 2010 Eric Smith <eric@brouhaha.com> 1.4.66-1
- update to latest upstream

* Sun Mar 28 2010 Eric Smith <eric@brouhaha.com> 1.4.62-2
- Edit Makefile to add -lX11 to libs, necessary for Fedora 13. Not sure why
  I didn't need that for Fedora 12. Sed command from package review by
  Martin Gieseking.
- Edit Makefile to define CXXFLAGS based on RPM optflags. Sed command from
  package review by Martin Gieseking.

* Sat Mar 27 2010 Eric Smith <eric@brouhaha.com> 1.4.62-1
- update to latest upstream

* Sun Jan 31 2010 Eric Smith <eric@brouhaha.com> 1.4.61-1
- initial version
